summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRuediger Meier2017-06-15 08:56:43 +0200
committerRuediger Meier2017-06-15 09:13:14 +0200
commitcf76bbae48f3fe4d00d416a9b91d09672fe2173a (patch)
treeec293cb77a8ff84a58b1609ad3fe7053fdc97b5f
parentlib: style cosmetics plymouth-ctrl.c (diff)
downloadkernel-qcow2-util-linux-cf76bbae48f3fe4d00d416a9b91d09672fe2173a.tar.gz
kernel-qcow2-util-linux-cf76bbae48f3fe4d00d416a9b91d09672fe2173a.tar.xz
kernel-qcow2-util-linux-cf76bbae48f3fe4d00d416a9b91d09672fe2173a.zip
travis: minor cosmetics
This is just to make the diff to my private travis script a bit smaller. Now we always use $CC _after_ the install script which makes it possible to install/update the compiler in the install section. Signed-off-by: Ruediger Meier <ruediger.meier@ga-group.nl>
-rwxr-xr-x.travis-functions.sh14
-rw-r--r--.travis.yml8
2 files changed, 13 insertions, 9 deletions
diff --git a/.travis-functions.sh b/.travis-functions.sh
index db50f0997..ece05d409 100755
--- a/.travis-functions.sh
+++ b/.travis-functions.sh
@@ -17,8 +17,15 @@ MAKE="make -j2"
DUMP_CONFIG_LOG="short"
export TS_OPT_parsable="yes"
+# workaround ugly warning on travis OSX,
+# see https://github.com/direnv/direnv/issues/210
+shell_session_update() { :; }
+
function xconfigure
{
+ which "$CC"
+ "$CC" --version
+
./configure "$@" $OSX_CONFOPTS
err=$?
if [ "$DUMP_CONFIG_LOG" = "short" ]; then
@@ -58,7 +65,8 @@ function check_root
osx_prepare_check
sudo -E $MAKE check TS_OPTS="$opts" || return
- sudo $MAKE install || return
+ # keep PATH to make sure sudo would find $CC
+ sudo env "PATH=$PATH" $MAKE install || return
}
function check_dist
@@ -75,8 +83,8 @@ function travis_install_script
return
fi
- # install some packages from Ubuntu's default sources
- sudo apt-get -qq update
+ # install required packages
+ sudo apt-get -qq update --fix-missing
sudo apt-get install -qq >/dev/null \
bc \
btrfs-tools \
diff --git a/.travis.yml b/.travis.yml
index 598b5f13d..eaed0fa49 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -17,8 +17,8 @@ env:
matrix:
include:
- - os: linux
- dist: precise
+ # test old Ubuntu 12.04 and OSX for compatibility
+ - dist: precise
compiler: gcc
env: PRECISE="yes" MAKE_CHECK="root"
- os: osx
@@ -35,10 +35,6 @@ branches:
before_install:
# print some host info
- env | grep -v "encrypted" | LC_ALL=C sort
- - $CC --version
- - which $CC
- # workaround clang not system wide, fail on sudo make install
- - export CC=`which $CC`
# workaround travis-ci issue #5301
- unset PYTHON_CFLAGS